## x2gokdriveclient 0.0.0.1

=== Makefile ===
#!/usr/bin/make -f

TOP_DIR=$(CURDIR)
CLIENT_DIR=$(TOP_DIR)/client_build
CLIENT_BINARY=$(CLIENT_DIR)/x2gokdriveclient

SHELL=/bin/bash

# Default to Qt 5.
# We'll change this to Qt 6 as soon as Qt-5-based platforms go EOL.
QT_VERSION ?= 5

INSTALL_DIR ?= install -d -o root -g root -m 755
INSTALL_FILE ?= install -o root -g root -m 644
INSTALL_SYMLINK ?= ln -s -f
INSTALL_PROGRAM ?= install -o root -g root -m 755

RM_FILE ?= rm -f
RM_DIR ?= rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR ?= /etc/x2go
BINDIR ?= $(PREFIX)/bin
SHAREDIR ?= $(PREFIX)/share
MANDIR ?= $(SHAREDIR)/man
ifeq ($(QT_VERSION),5)
  QMAKE_BINARY ?= qmake
  LRELEASE_BINARY ?= lrelease
else
  ifeq ($(QT_VERSION),6)
    QMAKE_BINARY ?= qmake-qt6
    LRELEASE_BINARY ?= lrelease-qt6
  else
    $(error Unsupported Qt version "$(QT_VERSION)" passed.)
  endif
endif
QMAKE_OPTS ?=

LDFLAGS ?=
LIBS ?=


#####################################################################
# Make sure that variables passed via the command line are not
# automatically exported.
#
# By default, such variables are exported and passed on to child
# (make) processes, which means that we will run into trouble if we
# pass CXXFLAGS="some value" as an argument to the top-level
# make call. Whatever qmake generates will be overridden by this
# definition, leading to build failures (since the code expects
# macro values to be set in some cases - which won't be the case
# for "generic" CXXFLAGS values.)
#
# Doing that turns out to be somewhat difficult, though.
#
# While preventing make from passing down *options* is possible via
# giving the new make call an empty MAKEFLAGS value and even though
# variables defined on the command line are part of MAKEFLAGS, this
# doesn't affect implicit exporting of variables (for most
# implementations.)
#
# Even worse, the correct way to this stuff differs from make
# implementation to make implementation.

# GNU make way.
MAKEOVERRIDES = SHELL QT_VERSION INSTALL_DIR INSTALL_FILE INSTALL_SYMLINK INSTALL_PROGRAM RM_FILE RM_DIR DESTDIR PREFIX ETCDIR BINDIR SHAREDIR MANDIR QMAKE_BINARY LRELEASE_BINARY QMAKE_OPTS LDFLAGS LIBS

# FreeBSD and NetBSD way.
.MAKEOVERRIDES = SHELL QT_VERSION INSTALL_DIR INSTALL_FILE INSTALL_SYMLINK INSTALL_PROGRAM RM_FILE RM_DIR DESTDIR PREFIX ETCDIR BINDIR SHAREDIR MANDIR QMAKE_BINARY LRELEASE_BINARY QMAKE_OPTS LDFLAGS LIBS

# OpenBSD way.
.MAKEFLAGS = SHELL QT_VERSION INSTALL_DIR INSTALL_FILE INSTALL_SYMLINK INSTALL_PROGRAM RM_FILE RM_DIR DESTDIR PREFIX ETCDIR BINDIR SHAREDIR MANDIR QMAKE_BINARY LRELEASE_BINARY QMAKE_OPTS LDFLAGS LIBS


all: build

build: build_man
	$(MAKE) build_client

build_client:
	$(LRELEASE_BINARY) x2gokdriveclient.pro
	mkdir -p $(CLIENT_DIR) && cd $(CLIENT_DIR) && $(QMAKE_BINARY) QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" QMAKE_LIBS="${LIBS}" $(QMAKE_OPTS) ../x2gokdriveclient.pro
	cd $(CLIENT_DIR) && $(MAKE)

build_man:
	${MAKE} -f Makefile.man2html build

clean: clean_client clean_man
	find . -maxdepth 3 -name '*.o' -exec rm -vf {} + -type f
	find . -maxdepth 3 -name 'moc_*.cpp' -exec rm -vf {} + -type f
	find . -maxdepth 3 -name 'ui_*.h' -exec rm -vf {} + -type f
	find . -maxdepth 3 -name 'qrc_*.cpp' -exec rm -vf {} + -type f
	find . -maxdepth 3 -name 'x2gokdriveclient_*.qm' -exec rm -vf {} + -type f
	rm -f x2gokdriveclient
	rm -f x2gokdriveclient.tag
	rm -f res/txt/changelog
	rm -f res/txt/git-info

clean_client:
	rm -fr $(CLIENT_DIR)

clean_man:
	$(MAKE) -f Makefile.man2html clean

install: install_client install_data install_man

install_client:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)/
	$(INSTALL_PROGRAM) $(CLIENT_DIR)/x2gokdriveclient $(DESTDIR)$(BINDIR)/x2gokdriveclient

install_data:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2go/versions
	$(INSTALL_FILE) VERSION.x2gokdriveclient $(DESTDIR)$(SHAREDIR)/x2go/versions/

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man1
	$(INSTALL_FILE) man/man1/x2gokdriveclient.1    $(DESTDIR)$(MANDIR)/man1/x2gokdriveclient.1
	gzip -f $(DESTDIR)$(MANDIR)/man1/x2gokdriveclient.1

uninstall: uninstall_client uninstall_data uninstall_man

uninstall_client:
	$(RM_FILE) $(BINDIR)/x2gokdriveclient

uninstall_data:
	$(RM_FILE) $(SHAREDIR)/x2go/versions/VERSION.x2gokdriveclient
	$(RM_DIR) $(SHAREDIR)/x2go/versions
	$(RM_DIR) $(SHAREDIR)/x2go

uninstall_man:
	$(RM_FILE) $(MANDIR)/man1/x2gokdriveclient.1.gz
	$(RM_DIR) $(MANDIR)/man1
