=== debian/changelog ===
x2gokdriveclient (0.0.0.1-2) unstable; urgency=medium

  [ Niels Thykier ]
  * Tweak `debian/rules` to enable 'Rules-Requires-Root: no`

  [ Santiago Vila ]
  * debian/patches:
    + Add 1002_make-4.4.1.patch. Fix FTBFS with make >= 4.4.1. (Closes:
      #1089278).

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1040533)
    + debian/control: B-D: qt5-qmake:native for running lrelease.
    + debian/rules: Pass a cross qmake to make.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Mar 2025 18:35:15 +0100

x2gokdriveclient (0.0.0.1-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1038620).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 19 Jun 2023 07:28:32 +0200
