=== debian/control ===
Source: x2gokdriveclient
Section: x11
Priority: optional
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 qtbase5-dev,
 qttools5-dev-tools,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libxcb1-dev,
 libxcb-xfixes0-dev,
 man2html-base,
 qt5-qmake:native,
 zlib1g-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://wiki.x2go.org/
Vcs-Git: https://salsa.debian.org/debian-remote-team/x2gokdriveclient.git
Vcs-Browser: https://salsa.debian.org/debian-remote-team/x2gokdriveclient/

Package: x2gokdriveclient
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 x2goclient (>= 4.2.0.0~),
Description: KDrive graphical client backend for X2Go Client
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 X2Go KDrive Client is the KDrive graphical backend for X2Go Client that
 provides support for running modern desktop environments like GNOME, KDE
 Plasma, Cinnamon, etc. in X2Go Sessions.
 .
 The X2Go KDrive graphical backend is not suitable for low bandwidth WAN
 connections between X2Go Client and X2Go Server. It is supposed for X2Go
 being used on the local area network or on highbandwidth WAN
 connections.
