=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

export QT_SELECT=qt5

export PREFIX='/usr'

# Convince the upstream build system to avoid using `(fake)root` by
# overriding its definition of these variables
export INSTALL_DIR=install -d -m 755
export INSTALL_FILE=install -m 644
export INSTALL_PROGRAM=install -m 755

%:
	dh $@

override_dh_auto_configure:
	cp debian/changelog res/txt/changelog
	if [ -f ChangeLog.gitlog ]; then cp ChangeLog.gitlog res/txt/git-info; fi
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build -- QMAKE_BINARY=$(QMAKE)

override_dh_clean:
	dh_clean
	rm -f res/txt/changelog

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
